store-checkout-draft-items-post-one¶
Source¶
Repository:
jef-systems/jef-store-backendSource Run ID:
25334823297Source SHA:
69cb846339fa14db005aec45414a4a94ec2a821eModule:
storeDocumentation Scope:
asyncLambda:
jef-store-post-19
Endpoint¶
API Name:
jef-storeAction Name:
postMethod:
POSTScope Label:
AsyncResource Path:
/store-checkout-draft-items-post-oneComplete Endpoint:
https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-checkout-draft-items-post-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-post-19curl payload mode:
json_body
API Gateway Description¶
Function: jef-store-post-19
Module: jef-store
Action: post
Method: POST
Invocation Mode: ASYNC
Resource Path: /store-checkout-draft-items-post-one
API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.
Table:
- table: jef-store-checkout-draft-items
Payload Example:
- pk: checkout-draft-item-1001-0001
- gsi_1_pk: checkout-draft-1001-0001
- gsi_1_sk: 1
- checkout_draft_item_id: checkout-draft-item-1001-0001
- checkout_draft_id: checkout-draft-1001-0001
- entity_number: 1001
- line_number: 1
- product_number: PRO-1001-0001
- sku: PH-SPECIA-10010001
- product_name: Pandan Coconut Sea Salt Latte
- quantity: 15
- unit_price: 158
- line_total: 1896
- is_active: true
- is_deleted: false
- deleted_at:
- created_at: 2026-05-04T09:07:00+08:00
- updated_at: 2026-05-04T09:07:00+08:00
- idempotency_key: 76111726-ce63-5ea0-9901-91c4dd6e357f
- schema_version: 1001
- version: 1001
Payload Schema:
- pk: string-{checkout_draft_item_id}
- gsi_1_pk: string-{checkout_draft_id}
- gsi_1_sk: string-{line_number}
- checkout_draft_item_id: string
- checkout_draft_id: string
- entity_number: string
- line_number: number
- product_number: string
- sku: string
- product_name: string
- quantity: number
- unit_price: number
- line_total: number
- is_active: boolean
- is_deleted: boolean
- deleted_at: string
- created_at: string
- updated_at: string
- idempotency_key: string
- schema_version: number
- version: number
Response Schema:
- is_accepted: boolean
- message: string
Request Payload¶
{
"pk": "checkout-draft-item-1001-0001",
"gsi_1_pk": "checkout-draft-1001-0001",
"gsi_1_sk": "1",
"checkout_draft_item_id": "checkout-draft-item-1001-0001",
"checkout_draft_id": "checkout-draft-1001-0001",
"entity_number": "1001",
"line_number": "1",
"product_number": "PRO-1001-0001",
"sku": "PH-SPECIA-10010001",
"product_name": "Pandan Coconut Sea Salt Latte",
"quantity": "15",
"unit_price": "158",
"line_total": "1896",
"is_active": "true",
"is_deleted": "false",
"deleted_at": "",
"created_at": "2026-05-04T09:07:00+08:00",
"updated_at": "2026-05-04T09:07:00+08:00",
"idempotency_key": "76111726-ce63-5ea0-9901-91c4dd6e357f",
"schema_version": "1001",
"version": "1001"
}
Response¶
{
"is_accepted": "boolean",
"message": "string"
}
CMD curl¶
curl -X POST "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-checkout-draft-items-post-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"checkout-draft-item-1001-0001\", \"gsi_1_pk\": \"checkout-draft-1001-0001\", \"gsi_1_sk\": 1, \"checkout_draft_item_id\": \"checkout-draft-item-1001-0001\", \"checkout_draft_id\": \"checkout-draft-1001-0001\", \"entity_number\": \"1001\", \"line_number\": 1, \"product_number\": \"PRO-1001-0001\", \"sku\": \"PH-SPECIA-10010001\", \"product_name\": \"Pandan Coconut Sea Salt Latte\", \"quantity\": 15, \"unit_price\": 158, \"line_total\": 1896, \"is_active\": \"true\", \"is_deleted\": \"false\", \"deleted_at\": \"\", \"created_at\": \"2026-05-04T09:07:00+08:00\", \"updated_at\": \"2026-05-04T09:07:00+08:00\", \"idempotency_key\": \"76111726-ce63-5ea0-9901-91c4dd6e357f\", \"schema_version\": 1001, \"version\": 1001}"
PowerShell curl¶
curl.exe -X POST "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-checkout-draft-items-post-one" -H "Content-Type: application/json" --data-raw '{"pk": "checkout-draft-item-1001-0001", "gsi_1_pk": "checkout-draft-1001-0001", "gsi_1_sk": 1, "checkout_draft_item_id": "checkout-draft-item-1001-0001", "checkout_draft_id": "checkout-draft-1001-0001", "entity_number": "1001", "line_number": 1, "product_number": "PRO-1001-0001", "sku": "PH-SPECIA-10010001", "product_name": "Pandan Coconut Sea Salt Latte", "quantity": 15, "unit_price": 158, "line_total": 1896, "is_active": "true", "is_deleted": "false", "deleted_at": "", "created_at": "2026-05-04T09:07:00+08:00", "updated_at": "2026-05-04T09:07:00+08:00", "idempotency_key": "76111726-ce63-5ea0-9901-91c4dd6e357f", "schema_version": 1001, "version": 1001}'